Inhalte
Index 🔎︎

# Anweisung Call

Übergibt die Programmkontrolle an eine Subroutine, Funktion oder DLL-Prozedur.

## Syntax:

    [Call] Name [Parameter]

## Parameter:

Name: Name der aufzurufenden Subroutine, Funktion oder DLL

Parameter: Parameter, die an die Subroutine übergeben werden sollen. Anzahl und Typ der Parameter hängen von der ausgeführten Routine ab.

Ein Schlüsselwort ist beim Aufruf einer Prozedur optional. Wird eine Funktion als Ausdruck ausgeführt, müssen die Parameter in der Anweisung in Klammern eingeschlossen sein. Für den Aufruf einer DLL muss diese zunächst in der Anweisung Declare angegeben werden.

## Beispiel:

    Sub ExampleCall
    Dim sVar As String
        sVar = "LibreOffice"
        Call f_callFun sVar
    End Sub

    Sub f_callFun (sText as String)
        Msgbox sText
    End Sub